%define anolis_release 2
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(.::t/bigratpm.inc\\)
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigRat::Test\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

Name:           perl-Math-BigRat
Version:        0.2624
Release:        %{anolis_release}%{?dist}
Summary:        Arbitrary big rational constants
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Math-BigRat
Source0:        https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/Math-BigRat-%{version}.tar.gz

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict) perl(warnings)
BuildRequires:  perl(:VERSION) >= 5.6.0 perl(Carp) perl(Math::BigFloat)
BuildRequires:  perl(Math::BigInt) >= 1.999821 perl(Math::Complex) >= 1.36
BuildRequires:  perl(overload) perl(Scalar::Util)
BuildRequires:  perl(Exporter) perl(lib) perl(Test::More) >= 0.88

Requires:       perl(Math::BigInt) >= 1.999821 perl(Math::Complex) >= 1.36

Conflicts:      perl < 4:5.22.0-348

BuildArch:      noarch

%description
Math::BigRat complements Math::BigInt and Math::BigFloat by providing
support for arbitrary big rational numbers.

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{EVR}
Requires:       perl-Test-Harness

%description tests
Tests from %{name}. Execute them with
"%{_libexecdir}/%{name}/test".

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Math-BigRat-%{version}

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
rm %{buildroot}%{_libexecdir}/%{name}/t/00sig.t
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
unset AUTHOR_TESTING RELEASE_TESTING TEST_SIGNATURE
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files tests
%{_libexecdir}/%{name}

%files doc
%doc CHANGES README TODO BUGS

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.2624-2
- optimize spec

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.2624-1
- remove versioned MODULE_COMPAT_ requires
- update to version 0.2624

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.2622-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 0.2622-1
- Initial build for Anolis V23
